input = 66
qty = 4

table = [v for v in range(input)]

piles = [list(), list(), list()]

ctr = 0
while len(table) > 0:
    piles[ctr%3].append(table[0])
    table.pop(0)
    if len(table) > 0:
        for i in range(qty):
            table = table[1:] + table[:1]
    ctr += 1

table = [v for v in range(input)]
for i in range(len(table)):
    if i in piles[0]:
        table[i] = "B"
    elif i in piles[1]:
        table[i] = "J"
    else:
        table[i] = "R"


print("".join(table))
